package org.jeecg.modules.stm.act.metric.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;



import java.io.Serializable;
import java.util.Date;

/**
 * @Author: yzh
 * @Date 2023/3/27 21:50
 * @Description:
 */

@TableName("ST_CA_MAIN_METRIC")
public class StCaMainMetric implements Serializable {
    /** ID */
    @TableId(type = IdType.ASSIGN_ID)

    private Integer id ;
    /** 活动编号 */
     
    private String caNo ;
    /** 指标编号 */
     
    private String metricNo ;
    /** 审核标志;4 初始状态 3 提交审核 2退回 1审核通过 */
     
    private String approveFlag ;
    /** 有效标志;1 有效 0无效 */
     
    private String valid ;
    /** 创建人 */
     
    private String createdUser ;
    /** 创建时间 */
     
    private Date createdTime ;
    /** 更新人 */
     
    private String updatedUser ;
    /** 更新时间 */
     
    private Date updatedTime ;

    /** ID */
    public Integer getId(){
        return this.id;
    }
    /** ID */
    public void setId(Integer id){
        this.id=id;
    }
    /** 活动编号 */
    public String getCaNo(){
        return this.caNo;
    }
    /** 活动编号 */
    public void setCaNo(String caNo){
        this.caNo=caNo;
    }
    /** 指标编号 */
    public String getMetricNo(){
        return this.metricNo;
    }
    /** 指标编号 */
    public void setMetricNo(String metricNo){
        this.metricNo=metricNo;
    }
    /** 审核标志;4 初始状态 3 提交审核 2退回 1审核通过 */
    public String getApproveFlag(){
        return this.approveFlag;
    }
    /** 审核标志;4 初始状态 3 提交审核 2退回 1审核通过 */
    public void setApproveFlag(String approveFlag){
        this.approveFlag=approveFlag;
    }
    /** 有效标志;1 有效 0无效 */
    public String getValid(){
        return this.valid;
    }
    /** 有效标志;1 有效 0无效 */
    public void setValid(String valid){
        this.valid=valid;
    }
    /** 创建人 */
    public String getCreatedUser(){
        return this.createdUser;
    }
    /** 创建人 */
    public void setCreatedUser(String createdUser){
        this.createdUser=createdUser;
    }
    /** 创建时间 */
    public Date getCreatedTime(){
        return this.createdTime;
    }
    /** 创建时间 */
    public void setCreatedTime(Date createdTime){
        this.createdTime=createdTime;
    }
    /** 更新人 */
    public String getUpdatedUser(){
        return this.updatedUser;
    }
    /** 更新人 */
    public void setUpdatedUser(String updatedUser){
        this.updatedUser=updatedUser;
    }
    /** 更新时间 */
    public Date getUpdatedTime(){
        return this.updatedTime;
    }
    /** 更新时间 */
    public void setUpdatedTime(Date updatedTime){
        this.updatedTime=updatedTime;
    }
}
